Name:          zanshin
Version:       23.04.1
Release:       1mamba
Summary:       A powerful yet simple application to manage your day to day actions
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://zanshin.kde.org/
Source:        http://mirror.freedif.org/KDE/ftp/stable/release-service/%{version}/src/zanshin-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libakonadi-calendar-devel
BuildRequires: libakonadi-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcalendarcore-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkontactinterface-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkrunner-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A powerful yet simple application to manage your day to day actions.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/zanshin
%{_bindir}/zanshin-migrator
%{_datadir}/applications/org.kde.zanshin.desktop
%{_datadir}/metainfo/org.kde.zanshin.metainfo.xml
%{_libdir}/qt5/plugins/pim5/kontact/kontact_zanshinplugin.so
%{_libdir}/qt5/plugins/zanshin_part.so
%{_libdir}/qt5/plugins/kf5/krunner/org.kde.zanshin.so
%{_datadir}/kxmlgui5/zanshin/zanshin_part.rc
%{_datadir}/icons/hicolor/*/apps/zanshin.png
%{_datadir}/icons/hicolor/scalable/apps/zanshin.svgz
%doc AUTHORS LICENSES

%changelog
* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Sun Apr 30 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Sun Feb 05 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Fri Jan 06 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Sat Dec 10 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sat Jun 11 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.04.0-1mamba
- package created using the webbuild interface
